/* @import url("https://fonts.googleapis.com/css2?family=SUSE:wght@100..800&family=Ubuntu:ital,wght@0,300;0,400;0,500;0,700;1,300;1,400;1,500;1,700&family=Exo:ital,wght@0,100..900;1,100..900&display=swap"); */

/* .primaryLight {
    font-family: "Ubuntu", sans-serif;
    font-weight: 300;
    font-style: normal;
}

.primaryReg {
    font-family: "Ubuntu", sans-serif;
    font-weight: 400;
    font-style: normal;
}

.primaryMid {
    font-family: "Ubuntu", sans-serif;
    font-weight: 500;
    font-style: normal;
}

.primaryBold {
    font-family: "Ubuntu", sans-serif;
    font-weight: 700;
    font-style: normal;
}

.secondaryLight {
    font-family: "SUSE", system-ui;
    font-weight: 300;
    font-style: normal;
}

.secondaryReg {
    font-family: "SUSE", system-ui;
    font-weight: 400;
    font-style: normal;
}

.secondaryMid {
    font-family: "SUSE", system-ui;
    font-weight: 500;
    font-style: normal;
}

.secondaryBold {
    font-family: "SUSE", system-ui;
    font-weight: 700;
    font-style: normal;
}

.headingLight {
    font-family: "Exo", sans-serif;
    font-weight: 300;
    font-style: normal;
}

.headingReg {
    font-family: "Exo", sans-serif;
    font-weight: 400;
    font-style: normal;
}

.headingMid {
    font-family: "Exo", sans-serif;
    font-weight: 500;
    font-style: normal;
}

.headingBold {
    font-family: "Exo", sans-serif;
    font-weight: 0;
    font-style: normal;
}
.headingBolder {
    font-family: "Exo", sans-serif;
    font-weight: 900;
    font-style: normal;
} */

/* ================ TextSizes================= */

.text-xsm {
    font-size: 0.75rem;
}
.text-sm {
    font-size: 1rem;
}
.text-md {
    font-size: 1.2rem;
}

.text-lg {
    font-size: 1.5rem;
}

.text-xl {
    font-size: 1.5rem;
}

.heading-xs {
    font-size: 1.25rem;
}

.heading-sm {
    font-size: 1.5rem;
}

.heading-md {
    font-size: 1.5rem;
}

.heading-lg {
    font-size: 2.2rem;
}

.heading-xl {
    font-size: 2.5rem;
}
.heading-xxl {
    font-size: 3.3rem;
}
.heading-xxxl {
    font-size: 4rem;
}

/* CustomhightWidth/Hight */
.h-100 {
    height: 100%;
}
.h-50 {
    height: 50%;
}
.w-100 {
    width: 100%;
}
.w-50 {
    width: 50%;
}

/* ================ Colors================= */

.lightColor {
    color: #fff;
}
.darkColor {
    color: #111111;
}
.textColor {
    color: #c3c3c3;
}
.textColorTwo {
    color: #2d3333;
}
.primaryColor {
    color: #0098c6;
}
.secondaryColor {
    color: #fff;
}

/* ================ BgColors================= */

.bgTrue {
    background-color: #047da3;
}
@keyframes gradientAnimation {
    0% {
        background-position: 0% 50%;
    }
    50% {
        background-position: 100% 50%;
    }
    100% {
        background-position: 0% 50%;
    }
}
.secondaryBg {
    background: linear-gradient(
        270deg,
        #000304,
        #020003fd,
        #000304,
        #020003fd
    ) !important;
}

/* ================ CustomDisplayProperty================= */

.contentCenter {
    display: flex;
    align-items: center;
    justify-content: center;
}
.contentCenterCol {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

/* ================ CustomBtns================= */
/* ================ PrimaryBtn================= */
.primaryBtn {
    position: relative;
    padding: 12px 25px;
    font-size: 18px;
    font-family: "Jost", system-ui;
    font-weight: 700;
    color: #047da3;
    text-decoration: none;
    display: inline-block;
    overflow: hidden;
    width: max-content;
    max-width: 250px;
    text-align: center;
    border: 2px solid #047da3;
    transition: 0.4s;
    z-index: 1;
    box-shadow: 0 0 8px #047da3;
    border-radius: 10px;
    cursor: pointer;
}

.primaryBtn:hover {
    color: #fff;
    box-shadow: 0 5px 15px rgba(4, 125, 163, 0.4);
    padding-right: 50px;
}

.primaryBtn::before {
    position: absolute;
    content: "";
    height: 100%;
    width: 100%;
    background-color: #047da3;
    left: 0;
    top: 0;
    transform: translateX(-100%) skew(-10deg);
    z-index: -1;
    transition: transform 0.4s cubic-bezier(0.3, 0.7, 0.4, 1.5);
}

.primaryBtn:hover::before {
    transform: translateX(0%) skew(-10deg);
}

.primaryBtn::after {
    font-family: "Font Awesome 5 Free";
    content: "\f061";
    font-weight: 900;
    position: absolute;
    right: -20px;
    top: 50%;
    transform: translateY(-50%);
    opacity: 0;
    transition: 0.3s;
}

.primaryBtn:hover::after {
    right: 15px;
    opacity: 1;
}

.primaryBtn span {
    position: relative;
    z-index: 2;
    transition: 0.3s;
}

.primaryBtn:hover span {
    transform: translateX(-10px);
}

@keyframes pulse {
    0% {
        box-shadow: 0 0 0 0 rgba(4, 125, 163, 0.4);
    }
    70% {
        box-shadow: 0 0 0 10px rgba(4, 125, 163, 0);
    }
    100% {
        box-shadow: 0 0 0 0 rgba(4, 125, 163, 0);
    }
}

.primaryBtn:focus {
    outline: none;
    animation: pulse 1.5s infinite;
}

/* ================Secondary/NormalBtn================= */

.normalBtn {
    background: none;
    color: #047da3;
    border: 2px solid #047da3;
    padding: 0.5rem 1rem;
    cursor: pointer;
    font-size: 16px;
    font-family: "SUSE", system-ui;
    font-weight: 700;
    position: relative;
    overflow: hidden;
    text-decoration: none;
    transition: color 0.3s ease, padding-right 0.3s ease;
}

.normalBtn::before {
    content: "";
    position: absolute;
    top: 0;
    left: -100%;
    width: 100%;
    height: 100%;
    background: #047da3;
    transition: left 0.3s ease;
    z-index: -1;
}

.normalBtn:hover {
    color: #ffffff;
    padding-right: 2rem;
}

.normalBtn:hover::before {
    left: 0;
}

.normalBtn::after {
    content: "→";
    position: absolute;
    top: 50%;
    right: -30px;
    transform: translateY(-50%);
    opacity: 0;
    transition: right 0.3s ease, opacity 0.3s ease;
    font-size: 20px; /* Increased arrow size */
}

.normalBtn:hover::after {
    right: 0.75rem; /* Adjusted to create gap */
    opacity: 1;
}

/* ================ TextEffect================= */

.textEffect {
    color: transparent;
    background: linear-gradient(90deg, #ef8605, #05b0ff, #eb320c, #05567b);
    background-size: 200%;
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    animation: colorAnimation 5s linear infinite;
}
.textEffectTwo {
    color: transparent;
    background: linear-gradient(
        90deg,
        #ffffff,
        #ef8605,
        #72b6d6,
        #05567b,
        #008cff
    );
    background-size: 200%;
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    animation: colorAnimation 5s linear infinite;
}
@keyframes colorAnimation {
    0% {
        background-position: 0%;
    }
    100% {
        background-position: 200%;
    }
}

/* ================ BorderBottom Animation================= */

.bbanim {
    position: relative;
    display: inline-block;
    padding-bottom: 10px;
}

.bbanim::after {
    content: "";
    position: absolute;
    bottom: 0;
    left: 0;
    width: 0;
    height: 5px;
    background: linear-gradient(
        90deg,
        #047da3,
        #6db2c2,
        #0581f5,
        #6db2c2,
        #047da3
    );
    background-size: 200% 100%;
    animation: border-animation 7s infinite, color-shift 2s infinite linear;
}

@keyframes border-animation {
    0% {
        width: 0;
        left: 0;
    }
    10% {
        width: 100%;
        left: 0;
    }
    80% {
        width: 100%;
        left: 0;
    }
    90% {
        width: 0;
        left: 100%;
    }
    100% {
        width: 0;
        left: 100%;
    }
}

@keyframes color-shift {
    0% {
        background-position: 0% 0%;
    }
    100% {
        background-position: 100% 0%;
    }
}
